From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cppcheck/
Date: Sat, 08 Mar 2025 07:04:30 +0000 (UTC) [thread overview]
Message-ID: <1741417330.8f8b272dfcb5b819ea550dd8a57e25792d997d30.arthurzam@gentoo> (raw)
commit: 8f8b272dfcb5b819ea550dd8a57e25792d997d30
Author: David Roman <droman <AT> ifae <DOT> es>
AuthorDate: Tue Mar 4 14:55:14 2025 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 8 07:02:10 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f8b272d
dev-util/cppcheck: add 2.17.1
Signed-off-by: David Roman <droman <AT> ifae.es>
Closes: https://github.com/gentoo/gentoo/pull/40886
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-util/cppcheck/Manifest | 1 +
dev-util/cppcheck/cppcheck-2.17.1.ebuild | 133 +++++++++++++++++++++++++++++++
2 files changed, 134 insertions(+)
diff --git a/dev-util/cppcheck/Manifest b/dev-util/cppcheck/Manifest
index abc63573a8fa..ff1c76cb6740 100644
--- a/dev-util/cppcheck/Manifest
+++ b/dev-util/cppcheck/Manifest
@@ -1,2 +1,3 @@
DIST cppcheck-2.14.2.tar.gz 3723248 BLAKE2B 551c783e13202f496b705602566799848b611bcc706f7a803c9ff530b3405db9e0b5294d2ce51ef5a4889e08c5b9d54c15d40a7ec6f4dc59333a7b6ed24b1f02 SHA512 8e90fa87845a083a4de66ec86edf707184a2293eb346fd79bfcafb73f93db049216472fcb2ab802ce529680f9708261ba3c26675c6fd9637e1dc83903bc44c4b
DIST cppcheck-2.16.0.tar.gz 3845764 BLAKE2B f1945ec48774c6f2ebb566f649d3f931202b0270e133130ce8da6894be6cf1c8454f35fdc394fcbc2513206a8f899ce266cc1bd809455171050fe979117da2c3 SHA512 b224d4d62be1802c322f57a0674a01caecf3d034d36396d8375c302a518a6d5f0ca9160a2a94eaa33b498ff0bbd092785f0489abef30de8af446b5d381f44922
+DIST cppcheck-2.17.1.tar.gz 3872633 BLAKE2B 8a2404b2610386166c1e8d3bfe8b3405834bde8534974678043a658721a43a6a627c6d2793febe4c6c70856e823907e04ce46674acbca8354c5a452236f289cc SHA512 ffd1caeba22493e45ad24c61af19c71adc25ba8eb2c3070152d150921024d68b4892d4e01575c9960e0b0aa1df9deae3514612b184afcf48e377022ca3bb0d85
diff --git a/dev-util/cppcheck/cppcheck-2.17.1.ebuild b/dev-util/cppcheck/cppcheck-2.17.1.ebuild
new file mode 100644
index 000000000000..7243d2f436a5
--- /dev/null
+++ b/dev-util/cppcheck/cppcheck-2.17.1.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+inherit cmake python-single-r1 xdg
+
+DESCRIPTION="Static analyzer of C/C++ code"
+HOMEPAGE="https://github.com/danmar/cppcheck"
+SRC_URI="https://github.com/danmar/cppcheck/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="charts gui htmlreport pcre test"
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ charts? ( gui )
+"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ dev-libs/tinyxml2:=
+ gui? (
+ dev-qt/qtbase:6[gui,widgets,network]
+ charts? ( dev-qt/qtcharts:6 )
+ )
+ pcre? ( dev-libs/libpcre )
+"
+DEPEND="${COMMON_DEPEND}
+ gui? ( dev-qt/qttools:6[assistant,linguist] )
+"
+RDEPEND="${COMMON_DEPEND}
+ ${PYTHON_DEPS}
+ htmlreport? (
+ $(python_gen_cond_dep '
+ dev-python/pygments[${PYTHON_USEDEP}]
+ ')
+ )
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ virtual/pkgconfig
+ gui? ( dev-qt/qttools:6[assistant,linguist] )
+ test? (
+ htmlreport? (
+ $(python_gen_cond_dep '
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ ')
+ )
+ )
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ # Modify to an existing docbook location
+ sed -i \
+ -e "s|set(DB2MAN .*|set(DB2MAN \"${EPREFIX}/usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl\")|" \
+ man/CMakeLists.txt || die
+
+ # Make tests use cppcheck built in build dir.
+ sed -i -e "s|CPPCHECK_BIN = .*|CPPCHECK_BIN = '${BUILD_DIR}/bin/cppcheck'|" test/tools/htmlreport/test_htmlreport.py || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DFILESDIR="${EPREFIX}"/usr/share/${PF}/
+ -DBUILD_MANPAGE=ON
+
+ -DHAVE_RULES=$(usex pcre)
+
+ -DBUILD_GUI=$(usex gui)
+ -DUSE_QT6=$(usex gui)
+ -DWITH_QCHART=$(usex charts)
+
+ -DBUILD_TESTS=$(usex test)
+ -DREGISTER_TESTS=$(usex test)
+ -DREGISTER_GUI_TESTS=$(usex test)
+
+ -DUSE_MATCHCOMPILER=ON
+
+ -DDISABLE_DMAKE=ON
+ -DUSE_BUNDLED_TINYXML2=OFF
+
+ # Yes, this is necessary to use the correct python version.
+ # bug #826602
+ -DPython_EXECUTABLE=${PYTHON}
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+ cmake_build man
+}
+
+src_test() {
+ local CMAKE_SKIP_TESTS=(
+ # Out of source builds breaks test TestFileLister
+ # https://github.com/danmar/cppcheck/pull/5462
+ TestFileLister
+ )
+ cmake_src_test
+
+ rm test/cli/other_test.py || die
+ use htmlreport && TEST_CPPCHECK_EXE_LOOKUP_PATH="${BUILD_DIR}/bin/" epytest test
+}
+
+src_install() {
+ cmake_src_install
+
+ insinto /usr/share/${PF}/cfg
+ doins cfg/*.cfg
+
+ if use gui ; then
+ dobin "${WORKDIR}/${P}_build/bin/${PN}-gui"
+ dodoc gui/{projectfile.txt,gui.${PN}}
+ fi
+
+ use htmlreport && python_doscript htmlreport/cppcheck-htmlreport
+ python_fix_shebang "${ED}"/usr/share/${PF}
+ python_optimize "${ED}"/usr/share/${PF}
+
+ dodoc -r tools/triage
+ doman "${BUILD_DIR}"/man/cppcheck.1
+}
next reply other threads:[~2025-03-08 7:04 UTC|newest]
Thread overview: 106+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-08 7:04 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-01 7:54 [gentoo-commits] repo/gentoo:master commit in: dev-util/cppcheck/ Joonas Niilola
2025-03-01 7:54 Joonas Niilola
2024-12-31 9:08 Andreas Sturmlechner
2024-12-31 9:08 Andreas Sturmlechner
2024-09-11 18:35 Arthur Zamarin
2024-09-10 10:25 Arthur Zamarin
2024-09-09 20:44 Arthur Zamarin
2024-09-09 20:44 Arthur Zamarin
2024-07-15 4:35 Sam James
2024-07-15 4:35 Sam James
2024-05-28 20:49 Sam James
2024-05-28 12:04 Michał Górny
2024-05-28 11:52 Michał Górny
2023-12-23 17:38 Sam James
2023-09-19 9:06 Sam James
2023-06-01 3:39 Sam James
2023-05-27 6:34 Arthur Zamarin
2023-05-27 6:34 Arthur Zamarin
2023-05-06 11:47 Arthur Zamarin
2023-05-03 6:33 Arthur Zamarin
2023-05-01 9:53 Sam James
2023-04-13 15:19 Matthias Maier
2023-03-07 0:18 Yixun Lan
2022-11-23 7:53 WANG Xuerui
2022-08-29 19:06 Sam James
2022-08-06 2:55 Sam James
2022-07-13 4:32 Sam James
2022-07-10 23:50 Sam James
2022-07-09 9:55 Sam James
2022-02-15 16:19 Sam James
2022-02-14 10:35 Jakov Smolić
2022-01-03 12:37 Sam James
2022-01-02 5:52 Sam James
2022-01-02 3:05 Sam James
2021-11-23 22:19 Sam James
2021-11-23 22:07 Sam James
2021-11-23 21:07 Sam James
2021-11-23 21:07 Sam James
2021-11-23 20:57 Sam James
2021-11-22 15:52 David Seifert
2021-10-15 6:00 Agostino Sarubbo
2021-10-14 16:38 Sam James
2021-10-14 13:40 Agostino Sarubbo
2021-10-14 7:33 Sam James
2021-08-03 23:37 Sam James
2021-06-03 8:23 Sam James
2021-05-31 7:58 Sam James
2021-05-31 7:58 Sam James
2021-04-29 1:30 Sam James
2020-12-13 18:23 Matthias Maier
2020-12-13 18:23 Matthias Maier
2020-12-05 14:58 Guilherme Amadio
2020-12-05 14:58 Guilherme Amadio
2020-12-04 5:37 Matthias Maier
2020-06-20 18:59 Sergei Trofimovich
2020-03-29 17:56 Mart Raudsepp
2020-02-13 19:52 Sergei Trofimovich
2020-02-11 19:50 Agostino Sarubbo
2020-02-11 19:43 Agostino Sarubbo
2020-02-11 12:16 Michał Górny
2019-07-31 21:11 Aaron Bauman
2019-06-12 7:25 Sergei Trofimovich
2019-05-24 16:20 Matthias Maier
2019-05-24 16:20 Matthias Maier
2019-03-24 16:52 Matthias Maier
2019-03-24 16:52 Matthias Maier
2019-02-04 5:11 Jeroen Roovers
2019-01-18 9:27 Jeroen Roovers
2019-01-18 9:27 Jeroen Roovers
2019-01-16 15:36 Mikle Kolyada
2019-01-03 14:58 Sergei Trofimovich
2019-01-03 9:27 Sergei Trofimovich
2019-01-02 19:01 Thomas Deutschmann
2018-12-21 15:33 Jeroen Roovers
2018-12-12 15:19 Jeroen Roovers
2018-12-12 15:11 Jeroen Roovers
2018-09-18 23:04 Matt Turner
2018-08-11 9:06 Andreas Sturmlechner
2018-08-11 9:06 Andreas Sturmlechner
2018-08-11 9:06 Andreas Sturmlechner
2018-06-26 18:46 Pacho Ramos
2018-01-19 20:05 Michael Weber
2017-12-27 11:08 Sergei Trofimovich
2017-12-25 3:16 Michael Palimaka
2017-12-23 20:24 Sergei Trofimovich
2017-12-18 16:51 Jason Zaman
2017-11-23 21:44 Andreas Sturmlechner
2017-11-22 22:01 Andreas Sturmlechner
2017-11-22 22:01 Andreas Sturmlechner
2017-11-22 22:01 Andreas Sturmlechner
2017-11-22 22:01 Andreas Sturmlechner
2017-10-12 9:11 Sergei Trofimovich
2017-10-12 9:11 Sergei Trofimovich
2017-07-30 9:38 Michał Górny
2017-05-16 20:34 Michael Weber
2017-04-17 8:02 Agostino Sarubbo
2017-04-05 12:55 Agostino Sarubbo
2017-04-03 21:50 Michael Weber
2017-01-12 8:19 Michael Weber
2017-01-12 8:19 Michael Weber
2016-08-04 12:23 Michael Weber
2016-06-13 19:39 Michael Weber
2016-05-07 21:55 Michael Weber
2016-03-14 22:12 Agostino Sarubbo
2015-09-15 15:16 Michael Weber
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1741417330.8f8b272dfcb5b819ea550dd8a57e25792d997d30.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox